import CircleCheckIcon from '@/assets/icons/circle-check-solid.svg';
import CircleXmarkIcon from '@/assets/icons/circle-xmark-solid.svg';
import ClockIcon from '@/assets/icons/clock-solid.svg';
import ShipIcon from '@/assets/icons/ship-solid.svg';
import { SvgProps } from 'react-native-svg';

type Props = {
  statusType: string;
  color: string;
  size?: number;
};

export function StatusBadgeIcon({ statusType, color, size = 10 }: Props) {
  const iconProps: SvgProps = { width: size, height: size, fill: color };

  switch (statusType) {
    case 'verde':
      return <CircleCheckIcon {...iconProps} />;
    case 'vermelho':
      return <CircleXmarkIcon {...iconProps} />;
    case 'amarelo':
      return <ClockIcon {...iconProps} />;
    case 'roxo':
      return <ShipIcon {...iconProps} />;
    default:
      return null;
  }
}
